Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005969 [JEDI VCL] 00 JVCL Components major always 2012-08-28 16:13 2015-09-21 17:47
Reporter dummzeuch View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005969: Reading a readonly property raises an exception
Description When reading a readonly property from a TJvPropertyStorage, an access violation occurs. This AV does not surface because the reading code is surrounded with a try ... except which swallows it, but it should be avoided nonetheless.

I think the problem can be solved by changing the method as follows:

procedure TJvPropertyStorage.LoadAnyProperty(PropInfo: PPropInfo);
begin
  try
    if (PropInfo <> nil) and (PropInfo.SetProc <> nil) then
      ReadProperty (AppStoragePath, GetItemName(PropInfo.Name), TPersistent(FObject), PropInfo.Name);
  except
    { ignore any exception }
  end;
end;

(The check PropInfo <> nil is new.)

I could have checked in the change myself, but I am not 100% sure whether it is correct, so I'd like somebody else have a look first.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020350)
obones (administrator)
2013-01-15 15:23

Please provide the zipped sources of a sample application showing this.
(0020516)
AHUser (developer)
2013-05-25 17:49

Applied in svn revision 13527.

- Issue History
Date Modified Username Field Change
2012-08-28 16:13 dummzeuch New Issue
2013-01-15 15:23 obones Note Added: 0020350
2013-01-15 15:23 obones Status new => feedback
2013-05-25 17:49 AHUser Note Added: 0020516
2013-05-25 17:49 AHUser Status feedback => resolved
2013-05-25 17:49 AHUser Fixed in Version => Daily / SVN
2013-05-25 17:49 AHUser Resolution open => fixed
2013-05-25 17:49 AHUser Assigned To => AHUser
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker